Bug 508208 - Images get stretched in PDF
Images get stretched in PDF
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 02:43 EDT by Ruediger Landmann
Modified: 2010-11-23 23:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 02:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of an image stretched in a PDF. The original image was 308 px wide. (112.90 KB, image/png)
2009-06-26 02:43 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2009-06-26 02:43:27 EDT
Created attachment 349510 [details]
Screenshot of an image stretched in a PDF. The original image was 308 px wide.

Description of problem:
When making a PDF, publican stretches images so that they fill all the horizontal space available on the page (and stretches them vertically so that they stay in proportion). Small images may therefore become very grainy and seem larger than their importance warrants.

Perhaps this is the same bug as #479794 - but that one refers to images in html too.

Version-Release number of selected component (if applicable):
0.40

How reproducible:
100%

Steps to Reproduce:
1. Build a PDF that includes a small image (say, less than 500 px wide)
  
Actual results:
The image is stretched so that it fills the horizontal space available on the page. 

Expected results:
Publican should not stretch the image.

Additional info:
Comment 1 Jeff Fearn 2009-08-10 19:58:21 EDT
Please include a link to your source. This does not happen when building a PDF of the users guide, which includes an image 352px x 341px.
Comment 2 Ruediger Landmann 2009-09-09 02:41:51 EDT
NOTABUG -- this resulted from my misunderstanding of the "scalefit" attribute; nothing to do with Publican.

Note You need to log in before you can comment on or make changes to this bug.